Skip to main content
POST
cURL

Path Parameters

personId
string
required

ID of the person to upload the document for

Query Parameters

documentFolderId
string<uuid>
required

Document folder into which the document should be uploaded

fileName
string
required

File name of the document to upload

documentDate
string<date>

Document date of the file

retentionPeriod
enum<string>
required

Retention period of the file

Available options:
NONE,
ONE_YEAR,
TWO_YEARS,
THREE_YEARS,
FIVE_YEARS,
SIX_YEARS,
TEN_YEARS,
THIRTY_YEARS
retentionPeriodBase
enum<string>
default:EXIT_DATE

Base for the retention period of the file Decide the base for the calculation of the retention period

Available options:
DOCUMENT_DATE,
EXIT_DATE

Body

application/octet-stream

Binary content of the file to upload

Response

200

OK